%define upstream_name    XML-Grammar-ProductsSyndication
%define upstream_version 0.0406

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An XML Grammar for ProductsSyndication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Imager) >= 0.910.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML)
BuildRequires: perl(XML::Amazon)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.40.600-2.mga9
+ Revision: 1837761
- Mageia 9 Mass Rebuild

* Fri Oct 23 2020 tv <tv> 0.40.600-1.mga8
+ Revision: 1638746
- update to 0.0406

* Wed Feb 12 2020 umeabot <umeabot> 0.40.500-3.mga8
+ Revision: 1507021
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.500-2.mga7
+ Revision: 1287309
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 0.40.500-1.mga7
+ Revision: 1233721
- update to 0.0405

* Sun Jun 19 2016 pterjan <pterjan> 0.40.400-4.mga6
+ Revision: 1036022
- Rebuild for perl 5.22.2

* Sun Feb 28 2016 tv <tv> 0.40.400-3.mga6
+ Revision: 980283
- rebuild with fixed deps
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.40.400-1.mga6
+ Revision: 843679
- update to 0.0404

* Wed Oct 15 2014 umeabot <umeabot> 0.40.300-3.mga5
+ Revision: 747892
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.300-2.mga5
+ Revision: 686929
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.40.300-1.mga5
+ Revision: 581394
- update to 0.0403

* Fri Oct 18 2013 umeabot <umeabot> 0.40.200-3.mga4
+ Revision: 516155
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.200-2.mga3
+ Revision: 375050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 shlomif <shlomif> 0.40.200-1.mga3
+ Revision: 281983
- imported package perl-XML-Grammar-ProductsSyndication


* Sat Aug 18 2012 cpan2dist 0.0402-1mga
- initial mageia release, generated with cpan2dist
